Bug 133117 - CVE-2004-1058 /proc/<PID>/cmdline information disclosure
CVE-2004-1058 /proc/<PID>/cmdline information disclosure
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Don Howard
Brian Brock
impact=low,public=20040730
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2004-09-21 15:12 EDT by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0190
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 12:43:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-09-21 15:12:11 EDT
There's a race in the kernel, and considering the permissions on
/proc/PID/{cmdline,environ} a security bug as well: If you win the
race with a starting process, you can read its environment.

http://lkml.org/lkml/2004/7/29/332
Comment 1 Mark J. Cox (Product Security) 2004-11-17 05:29:16 EST
Might be 2.6 only
fixed in 2.6.9
http://linux.bkbits.net:8080/linux-2.6/cset@412a4baaEebwtKg-X7sS2r5Mua6uGw
Comment 2 Mark J. Cox (Product Security) 2005-01-10 10:02:04 EST
I believe RHEL2.1 isn't affected by this flaw and RHEL3 is only
affected because of a backported patch.  Moving to NEEDINFO for a
kernel engineer to verify.
Comment 3 Don Howard 2005-09-15 19:25:56 EDT
Derry needs this fix.  See pensacola BZ 133115 for patch.
Comment 7 Red Hat Bugzilla 2006-02-01 12:43:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0190.html

Note You need to log in before you can comment on or make changes to this bug.